What should I buy/do?

Discussion in '3DS - Flashcards & Custom Firmwares' started by BoredFattie, Oct 15, 2016.

  1. BoredFattie
    OP

    BoredFattie Member

    Newcomer
    15
    0
    May 13, 2016
    India
    I have a beat-up GBA SP(that I'd rather not use), and a DSi, and I am planning to get a 2DS soon. A lot of people that using DS flashcarts for a 3DS is bad, so should I get a 2DS and a DSLite(and maybe sell the other 2?)? And then I could use the DSLite for DS and GBA games, and use the 2DS for 3DS games/ROMs(using Sky3DS or something)?

    The real reason I want a 2DS and another console, is due to battery life...I've looked online and the 2DS has around 4.5 hrs of battery, where I can get 8 out of my DSi(albeit on 2nd lowest brightness and wireless off).

    Will I be able to use a GBA ROM/game 'on' a DS game(to transfer Pokemon?)

    Can the flashcart/ROM use my DS' time, or do I have to get one with a real-time battery?

    Also, if I wanted to get a flashcart that'll work with my DSi, but'll also work with a DS Lite, what should I get?

    Sorry if my post is hard to understand...
     
  2. Quantumcat

    Quantumcat Dead and alive

    Member
    9,895
    5,221
    Nov 23, 2014
    Australia
    Canberra, Australia
    You can play GBA games installed on the 2DS. There's no need for a DS lite. To play DS games you need a flashcart, whether on the DS lite or the 2DS, so zero advantage to the DS lite (except for price).

    Follow https://github.com/Plailect/Guide/wiki to set up the 2DS or download the whole guide and files required from my page quantumc.at
     
  3. BoredFattie
    OP

    BoredFattie Member

    Newcomer
    15
    0
    May 13, 2016
    India
    Thanks! So does this mean that I can do everything on a 2DS, assuming I have a DS flashcart for it(at the sacrifice of battery)? Will real-time events work? Also, will it matter what version my 2DS(can I order it online and expect it to work?); where should I buy a 2DS?
     
    Last edited by BoredFattie, Oct 15, 2016
  4. Quantumcat

    Quantumcat Dead and alive

    Member
    9,895
    5,221
    Nov 23, 2014
    Australia
    Canberra, Australia
    Yep you'll basically have a stock console that can play pirated games.
     
  5. nechigawara

    nechigawara Citizen of Gamindustri

    Member
    1,165
    389
    Oct 14, 2006
    Thailand
    Planeptune
    To play GBA Game = Yes, you have to use 3 in 1 Expansion Pack for EZ-Flash V (with DS flash card that supported) or EZ-Flash IV for GBA rom.
    Transfer Pokemon from GBA > DS (Gen IV) = Yes, you have to use 3 in 1 Expansion Pack for EZ-Flash V.
    Transfer Pokemon from DS (Gen IV) > 3DS (Gen VI) = No, You need to transfer to Gen V first.
    Transfer Pokemon from DS (Gen IV) > DS (Gen V) = Yes, If you have legit Gen IV cartridge. (Using 2 Console, NDS or 3DS)
    Transfer Pokemon from DS (Gen V) > 3DS (Gen VI) = Yes, If you have legit Gen V & Gen VI cartridge. (Pokebank)
    PS. You can do GBA > DS (Gen IV) on DeSmuME, although it's a bit hard to config to make it work.
    Most DS games play on flashcart are like normal DS game which using DS's time. But, GBA game will using it's own time system.
    This one is recommend by @Crystal the Glaceon , But i'm not sure that these cart support 3 in 1 Expansion Pack for EZ-Flash V or not, since it's out in the era with no GBA slot: R4i Gold (r4ids.cn)
    This is the card that support 3 in 1 Expansion Pack for EZ-Flash V. But, it's very old and no longer support: DSTT

    I know what's he trying to do, he wants to move pokemons from GBA Gen III to DS Gen IV > 3DS Gen VII.
    Which he can't do on 2DS alone.
     
    Last edited by nechigawara, Oct 15, 2016
    Quantumcat likes this.
  6. gnmmarechal

    gnmmarechal Kirigiri > Naoto

    Member
    GBAtemp Patron
    gnmmarechal is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    4,477
    2,665
    Jul 13, 2014
    Portugal
    https://gs2012.xyz
    An R4i-SDHC 3DS RTS (r4i-sdhc.com) or R4i Gold (r4ids.cn) are the ones I'd recommend. Work fine on any 3DS/DS system.